Bug 1003194 - ncpd upgrade failed to erase previous version
ncpd upgrade failed to erase previous version
Status: CLOSED DUPLICATE of bug 983760
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Carlos O'Donell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-31 13:38 EDT by Zdenek Kabelac
Modified: 2016-11-24 10:52 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 23:12:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zdenek Kabelac 2013-08-31 13:38:39 EDT
Description of problem:

After todays rawhide upgrade:

# rpm -qa | grep nscd
nscd-2.17.90-10.fc20.x86_64
nscd-2.18-6.fc21.x86_64

# LANG=C rpm -e  nscd-2.17.90-10.fc20.x86_64
/var/tmp/rpm-tmp.YxCNa1: line 1: fg: no job control
error: %preun(nscd-2.17.90-10.fc20.x86_64) scriptlet failed, exit status 1
error: nscd-2.17.90-10.fc20.x86_64: erase failed

Adding --noscripts helps with removal....


Version-Release number of selected component (if applicable):
nscd-2.17.90-10.fc20.x86_64
nscd-2.18-6.fc21.x86_64


How reproducible:


Steps to Reproduce:
1. yum upgrade
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Siddhesh Poyarekar 2013-09-01 23:12:00 EDT

*** This bug has been marked as a duplicate of bug 983760 ***

Note You need to log in before you can comment on or make changes to this bug.